/// <reference types="node" />
import { Socket } from 'dgram';
import { OTPacketParser, OTPacket } from 'optitrack';
import { Observable } from 'rxjs';
/**
 * 得到对应网卡的 IP
 */
export declare function getIpOfIface(iface: string): string;
export declare class OptitrackServer {
    port: number;
    multicast: boolean;
    group: string;
    /**
     * 用来接收数据包的服务器
     */
    server: Socket;
    /**
     * 用来解析二进制包的解析器
     */
    parser: OTPacketParser;
    /**
     * 用来订阅解析出来的一个个包
     */
    packets: Observable<OTPacket>;
    /**
     * 当前是否正在监听中
     */
    isListening: boolean;
    /**
     * port: number 服务器监听的端口
     */
    constructor(port: number, iface: string, multicast: boolean, group: string);
    /**
     * 启动 接收 和 解析 的服务器
     */
    start(): void;
    /**
     * 关闭服务器
     */
    stop(): void;
}
