var assert = require('assert');
var expect = require('chai').expect;
var os = require('os');
var server = require('../built/server.js');

describe('GetIP of Interface', function() {
    describe('ip of all', function() {
        it('should be null', function() {
            let ip = server.getIpOfIface('all');
            expect(ip).to.be.null;
        });
    });

    describe('ip of unexists interface', function() {
        it('should be null', function() {
            let ip = server.getIpOfIface('unexists interface');
            expect(ip).to.be.null;
        });
    });

    describe('ip of exists interface', function() {
        it('should not be null', function() {
            let iface = Object.keys(os.networkInterfaces())[0];
            let ip = server.getIpOfIface(iface);
            console.log(ip);
            expect(ip).not.to.be.null;
        });
    });
});
